Support libvirt named NAT networks
Assignee: Ohad Levy
Category: Compute resources

Target version:
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Currently libvirt compute resources support bridged interfaces, but not libvirt NAT networks.

The NICs on a fog compute resource have both a bridge and network attribute, but the libvirt network view

(app/views/compute_resources_vms/form/libvirt/_network.html.erb) only sets the bridge.

nics=][ &1lt;Fog::Compute: :Libvirt::Nic
mac="52:54:00:9a:34:98",
type="network",
network="default",
bridge=nil,
model="virtio"
>JI

This is compounded because the getter for libvirt networks (lib/foreman/model/libvirt.rb, networks) calls fog's interfaces getter which
returns a list of physical interfaces (ethO, wlan0) and doesn't include bridges (virbr*). If the getter doesn't return data, the view allows
a bridge interface to be manually entered and so you can get around it in some configurations. Entering the network name is more

reliable across reboots of the hypervisor.
The way it should probably work is:

allow selection of either an interface or a libvirt network name
offer a list of interfaces, including bridges

always offer a text box for manual interface override

offer a list of libvirt network names

o o o o

Related issues:
Has duplicate Foreman - Bug #2477: Wrong interface for libvirt bridge

Duplicate 05/08/2013

Associated revisions

Revision ¢5¢84034 - 06/01/2013 02:17 PM - Ohad Levy

fixes #1951 - support for libvirt named networks

based on Dominic initial pull request 308

Revision deb8c443 - 06/04/2013 01:06 PM - Ohad Levy
fixes #1951 - support for libvirt named networks

based on Dominic initial pull request 308
(cherry picked from commit c5¢84034b1f6dec25¢14340861a48175b49e682a)

History

#1 - 12/14/2012 04:24 PM - Dominic Cleal

- Status changed from New to Assigned

05/12/2024
https://github.com/theforeman/foreman/pull/308

#2 - 06/01/2013 03:17 PM - Ohad Levy
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset c5c84034b1f6dec25¢14340861a48175b49e682a.

#3 - 06/04/2013 02:04 AM - Ohad Levy
- Assignee set to Ohad Levy

- Target version set to 1.2.0
